import 'dart:async';

import 'package:zhiying_base_widget/pages/withdraw_page/withdraw_model.dart';
import 'package:zhiying_comm/util/base_bloc.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class WithdrawBloc extends BlocBase {
  WithdrawModel model;

  StreamController<WithdrawModel> _dataController =
      StreamController<WithdrawModel>();

  Stream<WithdrawModel> get outData => _dataController.stream;

  @override
  void dispose() {
    _dataController.close();
    _dataController = null;
  }

  void loadData(String skipIdentifier) async {
    NetUtil.request('/api/v1/mod/${skipIdentifier.toString()}',
        method: NetMethod.GET, onCache: (data) {
      _loadData(data);
    }, onSuccess: (data) {
      _loadData(data);
    });
  }

  void _loadData(dynamic data) {
    try {
      Map<String, dynamic> json = Map<String, dynamic>.from(data);
      if (json == null || json.length == 0) {
        return;
      }
      // List mods = json['mod_list'];
      // if (mods.first != null) {
      //   json = Map<String, dynamic>.from(mods.first);
      //   String d = json['data'];
      //   Map<String, dynamic> da =
      //       Map<String, dynamic>.from(convert.jsonDecode(d));
      //   _model = SecurityBindAlipayModel.fromJson(da);
      //   _dataController.add(_model);
      // }
    } catch (err) {
      Logger.error(err);
    }
  }
}
