class StoreModel {
  String description;
  String description_color;
  String description_leve_icon;
  String logistics;
  String logistics_color;
  String logistics_leve_icon;
  String more;
  String service;
  String service_color;
  String service_leve_icon;
  String shop_id;
  String shop_name;
  String shop_name_color;
  String shop_avatar;

  StoreModel({
    this.description,
    this.description_color,
    this.description_leve_icon,
    this.logistics,
    this.logistics_color,
    this.logistics_leve_icon,
    this.more,
    this.service,
    this.service_color,
    this.service_leve_icon,
    this.shop_id,
    this.shop_name,
    this.shop_name_color,
    this.shop_avatar,
  });

  factory StoreModel.fromJson(Map<String, dynamic> json) {
    return StoreModel(
        description: json['description'],
        description_color: json['description_color'],
        description_leve_icon: json['description_leve_icon'],
        logistics: json['logistics'],
        logistics_color: json['logistics_color'],
        logistics_leve_icon: json['logistics_leve_icon'],
        more: json['more'],
        service: json['service'],
        service_color: json['service_color'],
        service_leve_icon: json['service_leve_icon'],
        shop_id: json['shop_id'],
        shop_name: json['shop_name'],
        shop_name_color: json['shop_name_color'],
        shop_avatar: json['shop_avatar']);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['description'] = this.description;
    data['description_color'] = this.description_color;
    data['description_leve_icon'] = this.description_leve_icon;
    data['logistics'] = this.logistics;
    data['logistics_color'] = this.logistics_color;
    data['logistics_leve_icon'] = this.logistics_leve_icon;
    data['more'] = this.more;
    data['service'] = this.service;
    data['service_color'] = this.service_color;
    data['service_leve_icon'] = this.service_leve_icon;
    data['shop_id'] = this.shop_id;
    data['shop_name'] = this.shop_name;
    data['shop_name_color'] = this.shop_name_color;
    data['shop_avatar'] = this.shop_avatar;
    return data;
  }
}
